Given("you have three assets in the failing step") do
  require 'base64'
  an_image_in_text = 'features/upload-files/base64image.txt'
  content = File.read(an_image_in_text)
  embed(content, 'image/png;base64')

  html_file = "features/upload-files/Calliope.pro – Full service online test automation platform.html"
  content02 = File.read(html_file)
  embed(content02, 'html')

  image = "features/upload-files/Untitled.png"
  embed(ResultsHelper.img64(image), 'image/png;base64')

  raise RuntimeError, "error"

end

Then("this step is going to be skipped") do

end

Given("you have an image") do
  image = "features/upload-files/Untitled.png"
  embed(AssetHelper.img64(image), 'image/png;base64')
end

Then("this step is going to fail") do
  raise "my mother went to pick up the trash with a red stick that she found lying down
  on the floor on the first floor of our three floor
  house in our nice neighbourhood in our nice city"
end

Given("you have an html") do
  html_file = "features/upload-files/Calliope.pro – Full service online test automation platform.html"
  content02 = File.read(html_file)
  embed(content02, 'text/html')
end

Then("this step is going to be pending") do
  pending
end

Given("you have a txt in the failing") do
  an_image_in_text = 'features/upload-files/alotofparagraphs.txt'
  content = File.read(an_image_in_text)
  embed(content, 'text;base64')
end

When("i pass this step with html") do
  html_file = "features/upload-files/shall pass.html"
  content02 = File.read(html_file)
  embed(content02, 'text/html')
end

Then("this step has an html and fails") do
  raise File.read ("features/upload-files/hello.html")
end



