@data_table
Feature: Data table feature

  @data_tables01
  Scenario: Data Tables
    Given the following users exist:
      | name   | email              | twitter         |
      | Aslak  | aslak@cucumber.io  | @aslak_hellesoy |
      | Julien | julien@cucumber.io | @jbpros         |
      | Matt   | matt@cucumber.io   | @mattwynne      |
    Then list the names

  @data_tables02
  Scenario Outline: Data_tables with Outline
    When  I select "<frequency>" frequency
    Then  I should see tax, sub-total and total amount calculated by "<frequency>" frequency on the results page:
      | tax   | sub-total | total  |
      | 38.25 | 114.74    | 191.24 |
      | 3.19  | 9.56      | 15.94  |

    Examples:
      | frequency |
      | 1         |
      | 2         |

  @data_tables03
  Scenario: Data Tables failing
    Given the following users exist:
      | name   | email              | twitter         |
      | Aslak  | aslak@cucumber.io  | @aslak_hellesoy |
      | Julien | julien@cucumber.io | @jbpros         |
      | Matt   | matt@cucumber.io   | @mattwynne      |
    Then don't list the names

  @data_tables04
  Scenario: Data Tables undefined
    Given the following users exist:
      | name   | email              | twitter         |
      | Aslak  | aslak@cucumber.io  | @aslak_hellesoy |
      | Julien | julien@cucumber.io | @jbpros         |
      | Matt   | matt@cucumber.io   | @mattwynne      |
    Then this step is undefined

  @data_tables05
  Scenario: Data Tables pending
    Given the following users exist but the step is pending:
      | name   | email              | twitter         |
      | Aslak  | aslak@cucumber.io  | @aslak_hellesoy |
      | Julien | julien@cucumber.io | @jbpros         |
      | Matt   | matt@cucumber.io   | @mattwynne      |
    Then this step is skipped
