@outline
Feature: Outline feature

  @scenario_outline01
  Scenario Outline:  Outline scenario-passed
    When i add integers <i1> and <i2>
    Then i see the result as <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 2   |
      | 2  | 2  | 4   |
      | 3  | 3  | 6   |
      | 4  | 4  | 8   |
      | 5  | 5  | 10  |
      | 6  | 6  | 12  |
      | 7  | 7  | 14  |
      | 8  | 8  | 16  |
      | 9  | 9  | 18  |
      | 10 | 10 | 20  |
      | 11 | 11 | 22  |
      | 12 | 12 | 24  |
      | 13 | 13 | 26  |
      | 14 | 14 | 28  |
      | 15 | 15 | 30  |
      | 16 | 16 | 32  |
      | 17 | 17 | 34  |

  @scenario_outline02
  Scenario Outline:  Outline scenario - failing
    When i have integers <i1> and <i2>
    Then i see the result as <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 5   |
      | 2  | 2  | 10  |
      | 3  | 3  | 22  |
      | 4  | 4  | 82  |
      | 5  | 5  | 120 |
      | 6  | 6  | 123 |
      | 7  | 7  | 145 |
      | 8  | 8  | 163 |
      | 9  | 9  | 182 |
      | 10 | 10 | 201 |
      | 11 | 11 | 222 |
      | 12 | 12 | 243 |
      | 13 | 13 | 263 |
      | 14 | 14 | 283 |
      | 15 | 15 | 305 |
      | 16 | 16 | 3   |
      | 17 | 17 | 4   |

  @scenario_outline03
  Scenario Outline:  Outline scenario - pass_failing
    When i add integers <i1> and <i2>
    Then i see the result as <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 5   |
      | 2  | 2  | 10  |
      | 3  | 3  | 22  |
      | 4  | 4  | 82  |
      | 5  | 5  | 120 |
      | 6  | 6  | 123 |
      | 7  | 7  | 145 |
      | 8  | 8  | 163 |
      | 9  | 9  | 182 |
      | 10 | 10 | 201 |
      | 11 | 11 | 222 |
      | 12 | 12 | 243 |
      | 13 | 13 | 263 |
      | 14 | 14 | 283 |
      | 15 | 15 | 305 |
      | 16 | 16 | 3   |
      | 17 | 17 | 4   |

  @scenario_outline04
  Scenario Outline:  Outline scenario - pending_skipping
    When i do not add integers <i1> and <i2>
    Then i do not see the result as <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 5   |
      | 2  | 2  | 10  |
      | 3  | 3  | 22  |
      | 4  | 4  | 82  |
      | 5  | 5  | 120 |
      | 6  | 6  | 123 |
      | 7  | 7  | 145 |
      | 8  | 8  | 163 |
      | 9  | 9  | 182 |
      | 10 | 10 | 201 |
      | 11 | 11 | 222 |
      | 12 | 12 | 243 |
      | 13 | 13 | 263 |
      | 14 | 14 | 283 |
      | 15 | 15 | 305 |
      | 16 | 16 | 3   |
      | 17 | 17 | 4   |

  @scenario_outline05
  Scenario Outline:  Outline scenario - pass_pending
    When i add integers <i1> and <i2>
    Then i do not see the result as <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 5   |
      | 2  | 2  | 10  |
      | 3  | 3  | 22  |
      | 4  | 4  | 82  |
      | 5  | 5  | 120 |
      | 6  | 6  | 123 |
      | 7  | 7  | 145 |
      | 8  | 8  | 163 |
      | 9  | 9  | 182 |
      | 10 | 10 | 201 |
      | 11 | 11 | 222 |
      | 12 | 12 | 243 |
      | 13 | 13 | 263 |
      | 14 | 14 | 283 |
      | 15 | 15 | 305 |
      | 16 | 16 | 3   |
      | 17 | 17 | 4   |

  @scenario_outline06
  Scenario Outline:  Outline scenario - embedded image
    When i add integers <i1> and <i2>
    Then i have to see embed <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 2   |
      | 2  | 2  | 4   |
      | 3  | 3  | 56  |

  @scenario_outline07
  Scenario Outline:  Outline scenario - embedded html
    When i add integers <i1> and <i2>
    Then i have to see embed html <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 2   |
      | 2  | 2  | 4   |
      | 3  | 3  | 56  |

  @scenario_outline08
  Scenario Outline:  Outline scenario - undefined step
    When i add integers <i1> and <i2>
    Then i can not see this step <sum>

    Examples: numbers
      | i1 | i2 | sum |
      | 1  | 1  | 2   |
      | 2  | 2  | 4   |
      | 3  | 3  | 56  |


